## llmnrd 0.2.1

=== debian/changelog ===
llmnrd (0.2.1-2) unstable; urgency=low

  * Run llmnrd daemon as user nobody (Closes: #849952)
  * Clean up llmnrd init script and add action try-restart (Closes: #849957)

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 07 Jan 2017 13:35:23 +0100

llmnrd (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #848880)

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 24 Dec 2016 11:50:49 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
export prefix = /usr
export GIT_VERSION =
export Q =

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/tklauser/llmnrd/releases /download/[^/]+/llmnrd-([^/]+)\.tar\.(?:gz|bz2)

## llmnrd 0.3

=== Makefile ===
# Makefile for llmnrd
#
# Copyright (C) 2014-2017 Tobias Klauser <tklauser@distanz.ch>

VERSION = 0.3

# llmnrd binary
D_P 	= llmnrd
D_OBJS	= llmnr.o iface.o socket.o util.o llmnrd.o
D_LIBS	=

# llmnr-query binary
Q_P 	= llmnr-query
Q_OBJS	= util.o llmnr-query.o
Q_LIBS	=

CC	= $(CROSS_COMPILE)gcc
INSTALL	= install

CPPFLAGS ?=
LDFLAGS	?=

ifeq ($(shell git rev-parse > /dev/null 2>&1; echo $$?), 0)
  GIT_VERSION = "(git id $(shell git describe --always))"
else
  GIT_VERSION =
endif

CFLAGS_MIN := -W -Wall -DVERSION_STRING=\"v$(VERSION)\" -DGIT_VERSION=\"$(GIT_VERSION)\"
ifeq ($(DEBUG), 1)
  CFLAGS_MIN += -g -DDEBUG
endif

CFLAGS_WARN := -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations	\
	-Wdeclaration-after-statement -Wsign-compare -Winit-self		\
	-Wformat-nonliteral -Wformat-security -Wmissing-format-attribute	\
	-Wundef -Wbad-function-cast -Waggregate-return -Wunused -Wwrite-strings

CFLAGS ?= -O2 $(CFLAGS_WARN)
override CFLAGS := $(CFLAGS_MIN) $(CFLAGS)

Q	?= @
ifeq ($(Q),)
  CCQ	= $(CC)
  LDQ	= $(CC)
else
  CCQ	= $(Q)echo "  CC $<" && $(CC)
  LDQ	= $(Q)echo "  LD $@" && $(CC)
endif

prefix	?= /usr/local

BINDIR	= $(prefix)/bin
SBINDIR	= $(prefix)/sbin
DESTDIR	=

all: $(D_P) $(Q_P)

$(D_P): $(D_OBJS)
	$(LDQ) $(LDFLAGS) -o $@ $(D_OBJS) $(D_LIBS)

$(Q_P): $(Q_OBJS)
	$(LDQ) $(LDFLAGS) -o $@ $(Q_OBJS) $(Q_LIBS)

%.o: %.c %.h
	$(CCQ) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.c
	$(CCQ) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

install_$(D_P): $(D_P)
	@echo "  INSTALL $(D_P)"
	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(SBINDIR)
	$(Q)$(INSTALL) -m 755 $(D_P) $(DESTDIR)$(SBINDIR)/$(D_P)

install_$(Q_P): $(Q_P)
	@echo "  INSTALL $(Q_P)"
	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR)
	$(Q)$(INSTALL) -m 755 $(Q_P) $(DESTDIR)$(BINDIR)/$(Q_P)

install: install_$(D_P) install_$(Q_P)

clean:
	@echo "  CLEAN"
	$(Q)rm -f $(D_OBJS) $(D_P)
	$(Q)rm -f $(Q_OBJS) $(Q_P)

# Maintainer targets

GIT_TAG = git tag -a v$(VERSION) -s -m "llmnrd $(VERSION) release"
GIT_ARCHIVE = git archive --prefix=llmnrd-$(VERSION)/ v$(VERSION) | \
	      $(1) -9 > ../llmnrd-$(VERSION).tar.$(2)
GPG_SIGN = gpg -a --output ../llmnrd-$(VERSION).tar.$(1).asc --detach-sig \
		../llmnrd-$(VERSION).tar.$(1)
release:
	$(GIT_TAG)
	$(call GIT_ARCHIVE,gzip,gz)
	$(call GIT_ARCHIVE,bzip2,bz2)
	$(call GPG_SIGN,gz)
	$(call GPG_SIGN,bz2)
	$(Q)echo "Created release $(VERSION)"

=== debian/changelog ===
llmnrd (0.3-1) unstable; urgency=medium

  * New upstream release
  * Do not change CFLAGS in debian/ruls (upstream fixed *FLAGS support)
  * Update debian/watch (upstream does not provide PGP signed tarballs)

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 25 Jan 2017 21:20:23 +0100

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/llmnrd-$1\.tar\.gz/ https://github.com/tklauser/llmnrd/releases .*/archive/v?(\d\S+)\.tar\.gz debian uupdate

## llmnrd 0.5

=== Makefile ===
--- 
+++ 
@@ -2,20 +2,23 @@
 #
 # Copyright (C) 2014-2017 Tobias Klauser <tklauser@distanz.ch>
 
-VERSION = 0.3
+VERSION = 0.5
 
 # llmnrd binary
 D_P 	= llmnrd
 D_OBJS	= llmnr.o iface.o socket.o util.o llmnrd.o
 D_LIBS	=
+D_MAN	= $(D_P).8
 
 # llmnr-query binary
 Q_P 	= llmnr-query
 Q_OBJS	= util.o llmnr-query.o
 Q_LIBS	=
+Q_MAN	= $(Q_P).1
 
 CC	= $(CROSS_COMPILE)gcc
 INSTALL	= install
+GZIP	= gzip -9 -c
 
 CPPFLAGS ?=
 LDFLAGS	?=
@@ -31,10 +34,20 @@
   CFLAGS_MIN += -g -DDEBUG
 endif
 
-CFLAGS_WARN := -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations	\
-	-Wdeclaration-after-statement -Wsign-compare -Winit-self		\
-	-Wformat-nonliteral -Wformat-security -Wmissing-format-attribute	\
-	-Wundef -Wbad-function-cast -Waggregate-return -Wunused -Wwrite-strings
+CFLAGS_WARN := -Wextra 			\
+	-Waggregate-return		\
+	-Wbad-function-cast		\
+	-Wdeclaration-after-statement	\
+	-Wformat-nonliteral		\
+	-Wformat-security		\
+	-Wmissing-declarations		\
+	-Wmissing-format-attribute	\
+	-Wmissing-prototypes		\
+	-Wsign-compare			\
+	-Wstrict-prototypes		\
+	-Wundef				\
+	-Wunused			\
+	-Wwrite-strings
 
 CFLAGS ?= -O2 $(CFLAGS_WARN)
 override CFLAGS := $(CFLAGS_MIN) $(CFLAGS)
@@ -52,6 +65,8 @@
 
 BINDIR	= $(prefix)/bin
 SBINDIR	= $(prefix)/sbin
+MAN1DIR = $(prefix)/share/man/man1
+MAN8DIR = $(prefix)/share/man/man8
 DESTDIR	=
 
 all: $(D_P) $(Q_P)
@@ -72,11 +87,17 @@
 	@echo "  INSTALL $(D_P)"
 	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(SBINDIR)
 	$(Q)$(INSTALL) -m 755 $(D_P) $(DESTDIR)$(SBINDIR)/$(D_P)
+	$(Q)$(GZIP) doc/$(D_MAN) > $(D_MAN).gz
+	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(MAN8DIR)
+	$(Q)$(INSTALL) -m 644 $(D_MAN).gz $(DESTDIR)$(MAN8DIR)/$(D_MAN).gz
 
 install_$(Q_P): $(Q_P)
 	@echo "  INSTALL $(Q_P)"
 	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR)
 	$(Q)$(INSTALL) -m 755 $(Q_P) $(DESTDIR)$(BINDIR)/$(Q_P)
+	$(Q)$(GZIP) doc/$(Q_MAN) > $(Q_MAN).gz
+	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(MAN1DIR)
+	$(Q)$(INSTALL) -m 644 $(Q_MAN).gz $(DESTDIR)$(MAN1DIR)/$(Q_MAN).gz
 
 install: install_$(D_P) install_$(Q_P)
 
@@ -84,6 +105,8 @@
 	@echo "  CLEAN"
 	$(Q)rm -f $(D_OBJS) $(D_P)
 	$(Q)rm -f $(Q_OBJS) $(Q_P)
+	$(Q)rm -f $(D_P).8.gz
+	$(Q)rm -f $(Q_P).1.gz
 
 # Maintainer targets

=== debian/changelog ===
llmnrd (0.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch as upstream again provides PGP signed tarballs

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 02 Nov 2017 22:35:11 +0100

=== debian/control ===
Source: llmnrd
Section: net
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://github.com/tklauser/llmnrd

Package: llmnrd
Architecture: linux-any
Depends: lsb-base (>= 3.2-14), ${shlibs:Depends}, ${misc:Depends}
Description: Link-Local Multicast Resolution (LLMNR) Daemon for Linux
 llmnrd is a daemon implementing the Link-Local Multicast Name Resolution
 (LLMNR) protocol according to RFC 4795. It currently only supports Linux,
 as it uses the netlink kernel interface.
 .
 llmnrd will respond to name resolution queries sent by Windows clients in
 networks where no DNS server is available. It supports both IPv4 and IPv6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export prefix = /usr
export GIT_VERSION =
export Q =

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/tklauser/llmnrd/releases /download/[^/]+/llmnrd-([^/]+)\.tar\.(?:gz|bz2) debian uupdate
